get_address_taken_state_name() added
[libfirm] / configure
index ae8aaee..28bef43 100755 (executable)
--- a/configure
+++ b/configure
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS libfirm_conf_env plugin_subdirs XML2CONFIG enable_debug_libfirm enable_profile_libfirm enable_auto_documentation enable_firm_jni enable_heapanalysis disable_libiberty enable_statistics enable_libcore enable_wchar_support enable_external_effects CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT AWK LD ac_ct_LD libfirm_cv_prog_ld_r AR TAR RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S DOXYGEN DOT JAVAC JAVAH CPP EGREP LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS libfirm_conf_env plugin_subdirs XML2CONFIG enable_debug_libfirm enable_profile_libfirm enable_auto_documentation enable_firm_jni enable_heapanalysis disable_libiberty enable_statistics enable_libcore enable_ilp enable_jvm enable_wchar_support enable_external_effects CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT AWK LD ac_ct_LD libfirm_cv_prog_ld_r AR TAR RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S DOXYGEN DOT JAVAC JAVAH CPP EGREP LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -850,9 +850,10 @@ Optional Features:
   --enable-heapanalysis   Compile with heap analysis.
   --disable-libiberty     disable own libiberty parts
   --disable-hooks         disable Firm hooks
-  --disable-inplace-edges disable Firm inplace edges
   --enable-statistics     enable Firm statistics
   --enable-libcore        enable libcore debugging
+  --enable-ilp            enable ilp solver
+  --enable-jvm            enable to call the jvm
   --enable-wchar-support  enable wchar_t support for identifiers (needed for java)
   --disable-external-effects  disable descriptions of external effects in XML
 
@@ -1322,7 +1323,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
-ac_output_file="Makefile MakeRules ir/Makefile ir/adt/Makefile ir/debug/Makefile \
+ac_output_file="Makefile MakeRules ir/Makefile ir/adt/Makefile ir/net/Makefile ir/debug/Makefile \
                ir/tv/Makefile ir/common/Makefile ir/ident/Makefile ir/ir/Makefile \
                ir/ana/Makefile ir/tr/Makefile ir/ana2/Makefile ir/stat/Makefile \
                ir/opt/Makefile ir/external/Makefile ir/config/Makefile \
@@ -1333,6 +1334,12 @@ ac_output_file="Makefile MakeRules ir/Makefile ir/adt/Makefile ir/debug/Makefile
           ac_config_headers="$ac_config_headers config.h"
 
 
+
+
+
+
+
+
 libfirm_conf_env="${CC+CC='$CC'} ${CFLAGS+CFLAGS='$CFLAGS'} ${CPP+CPP='$CPP'} ${CPPFLAGS+CPPFLAGS='$CPPFLAGS'} ${LDFLAGS+LDFLAGS='$LDFLAGS'} ${LIBS+LIBS='$LIBS'}"
 
 
@@ -1432,13 +1439,15 @@ CPPFLAGS=$CPPFLAGS" `$XML2CONFIG --cflags`";
 if test "${enable_debug+set}" = set; then
   enableval="$enable_debug"
   if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define DEBUG_libfirm 1
+
+cat >>confdefs.h <<\_ACEOF
+#define DEBUG_libfirm
 _ACEOF
 
 else
-  cat >>confdefs.h <<\_ACEOF
-#define NDEBUG 1
+
+cat >>confdefs.h <<\_ACEOF
+#define NDEBUG
 _ACEOF
 
 fi
@@ -1449,8 +1458,9 @@ fi;
 if test "${enable_inlining+set}" = set; then
   enableval="$enable_inlining"
   if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define USE_INLINING 1
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_INLINING
 _ACEOF
 
 fi
@@ -1509,8 +1519,9 @@ if test "$enable_heapanalysis" = "no"; then
   echo "$as_me:$LINENO: result: disabled" >&5
 echo "${ECHO_T}disabled" >&6
 else
-  cat >>confdefs.h <<\_ACEOF
-#define DO_HEAPANALYSIS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define DO_HEAPANALYSIS
 _ACEOF
 
   echo "$as_me:$LINENO: result: enabled" >&5
@@ -1533,8 +1544,9 @@ fi;
 if test "${enable_hooks+set}" = set; then
   enableval="$enable_hooks"
   if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_ENABLE_HOOKS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define FIRM_ENABLE_HOOKS
 _ACEOF
 
 fi
@@ -1546,53 +1558,84 @@ _ACEOF
 
 fi;
 
-# Check whether --enable-inplace_edges or --disable-inplace_edges was given.
-if test "${enable_inplace_edges+set}" = set; then
-  enableval="$enable_inplace_edges"
-  if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_EDGES_INPLACE 1
+# Check whether --enable-statistics or --disable-statistics was given.
+if test "${enable_statistics+set}" = set; then
+  enableval="$enable_statistics"
+  if test "$enableval"=yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define FIRM_STATISTICS
 _ACEOF
 
 fi
-else
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_EDGES_INPLACE 1
-_ACEOF
+fi;
+
 
+# Check whether --enable-libcore or --disable-libcore was given.
+if test "${enable_libcore+set}" = set; then
+  enableval="$enable_libcore"
+  if test "$enableval"=yes; then
 
+cat >>confdefs.h <<\_ACEOF
+#define WITH_LIBCORE
+_ACEOF
+
+fi
 fi;
 
-# Check whether --enable-statistics or --disable-statistics was given.
-if test "${enable_statistics+set}" = set; then
-  enableval="$enable_statistics"
+
+echo "$as_me:$LINENO: checking for ilp solver support" >&5
+echo $ECHO_N "checking for ilp solver support... $ECHO_C" >&6
+# Check whether --enable-ilp or --disable-ilp was given.
+if test "${enable_ilp+set}" = set; then
+  enableval="$enable_ilp"
   if test "$enableval"=yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_STATISTICS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_ILP
 _ACEOF
 
 fi
 fi;
 
+if test "$enable_ilp" == yes; then
+  echo "$as_me:$LINENO: result: enabled" >&5
+echo "${ECHO_T}enabled" >&6
+else
+  echo "$as_me:$LINENO: result: disabled" >&5
+echo "${ECHO_T}disabled" >&6
+fi
 
-# Check whether --enable-libcore or --disable-libcore was given.
-if test "${enable_libcore+set}" = set; then
-  enableval="$enable_libcore"
+echo "$as_me:$LINENO: checking for jvm support" >&5
+echo $ECHO_N "checking for jvm support... $ECHO_C" >&6
+# Check whether --enable-jvm or --disable-jvm was given.
+if test "${enable_jvm+set}" = set; then
+  enableval="$enable_jvm"
   if test "$enableval"=yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define WITH_LIBCORE 1
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_JVM
 _ACEOF
 
 fi
 fi;
 
+if test "$enable_jvm" == yes; then
+  echo "$as_me:$LINENO: result: enabled" >&5
+echo "${ECHO_T}enabled" >&6
+else
+  echo "$as_me:$LINENO: result: disabled" >&5
+echo "${ECHO_T}disabled" >&6
+fi
+
 
 # Check whether --enable-wchar_support or --disable-wchar_support was given.
 if test "${enable_wchar_support+set}" = set; then
   enableval="$enable_wchar_support"
   if test "$enableval"=yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_ENABLE_WCHAR 1
+
+cat >>confdefs.h <<\_ACEOF
+#define FIRM_ENABLE_WCHAR
 _ACEOF
 
 fi
@@ -5283,6 +5326,110 @@ fi
 
 
 
+cat >>confdefs.h <<\_ACEOF
+#define _GNU_SOURCE
+_ACEOF
+
+echo "$as_me:$LINENO: checking for strerror" >&5
+echo $ECHO_N "checking for strerror... $ECHO_C" >&6
+if test "${ac_cv_func_strerror+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define strerror to an innocuous variant, in case <limits.h> declares strerror.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define strerror innocuous_strerror
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char strerror (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef strerror
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char strerror ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_strerror) || defined (__stub___strerror)
+choke me
+#else
+char (*f) () = strerror;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != strerror;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_func_strerror=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_func_strerror=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_func_strerror" >&5
+echo "${ECHO_T}$ac_cv_func_strerror" >&6
+if test $ac_cv_func_strerror = yes; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: \"need obstack_printf function\"" >&5
+echo "$as_me: error: \"need obstack_printf function\"" >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+
+
 
 
           ac_config_files="$ac_config_files $ac_output_file"
@@ -5914,6 +6061,8 @@ s,@enable_heapanalysis@,$enable_heapanalysis,;t t
 s,@disable_libiberty@,$disable_libiberty,;t t
 s,@enable_statistics@,$enable_statistics,;t t
 s,@enable_libcore@,$enable_libcore,;t t
+s,@enable_ilp@,$enable_ilp,;t t
+s,@enable_jvm@,$enable_jvm,;t t
 s,@enable_wchar_support@,$enable_wchar_support,;t t
 s,@enable_external_effects@,$enable_external_effects,;t t
 s,@CC@,$CC,;t t
@@ -6553,4 +6702,11 @@ if test "$no_create" != yes; then
 fi
 
 
+for i in $plugin_subdirs
+do
+       suffix=`echo $i | tr /a-z _A-Z`
+       echo "/* enabled plugin: $i */" >> config.h
+       echo "#define PLUGIN_$suffix 1" >> config.h
+done
+
 $AWK -f $CONF_DIR_NAME/filter.awk < config.h | sed -f $CONF_DIR_NAME/filter.sed > ir/config/firm_config.h